@echo off

echo.
echo Copy all TasAlyser binaries to designated installation folder ...
echo.

:: set target folder

set basefolder=%PROGRAMFILES%\Discom

set targetpath=%basefolder%\bin

set bak_num=1
:find_bak
set bak_date=%date: =0%_%bak_num%
set targetfolder_bak=bin_%bak_date%
set targetpath_bak=%basefolder%\%targetfolder_bak%

if exist "%targetpath_bak%" (
    set /a bak_num=%bak_num% + 1
    goto :find_bak
    )

echo Installation folder: "%targetpath%"
echo Backup folder:       "%targetpath_bak%"
rename "%targetpath%" "%targetfolder_bak%"
mkdir "%targetpath%"

cd bin

echo Copy files ...
copy /y *.* "%targetpath%"

if errorlevel 1 goto :label_error

cd ..

echo Done.

goto :eof

:label_error

cd ..

echo.
echo Error during copy process. Please check!
echo.
pause

goto :eof
